MongoDB\BSON\Persistable
MongoDB\BSON\Serializable::bsonSerialize
MongoDB\Driver\BSON
PHP Manual

# The MongoDB\BSON\Serializable interface

(mongodb >=1.0.0)

## Introduction

Classes that implement this interface may return data to be serialized as a BSON array or document in lieu of the object's public properties.

## Class synopsis

MongoDB\BSON\Serializable implements MongoDB\BSON\Type {
/* Methods */
abstract public array|object bsonSerialize ( void )
}

## Table of Contents

- MongoDB\BSON\Serializable::bsonSerialize — Provides an array or document to serialize as BSON

MongoDB\BSON\Persistable
MongoDB\BSON\Serializable::bsonSerialize
MongoDB\Driver\BSON
PHP Manual